Package net.snowflake.client.core.auth

## Class ClientAuthnDTO

- java.lang.Object
- - net.snowflake.client.core.auth.ClientAuthnDTO

    @SnowflakeJdbcInternalApi
    public class ClientAuthnDTO
    extends Object

### Constructor Summary

Constructors
`ClientAuthnDTO​(Map<String,​Object> data, String inFlightCtx)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Map<String,​Object>` `getData()` Required by Jackson
`String` `getInFlightCtx()` Required by Jackson

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClientAuthnDTO

    public ClientAuthnDTO​(Map<String,​Object> data,
                          @Nullable
                          String inFlightCtx)

### Method Detail

#### getData

    public Map<String,​Object> getData()

Required by Jackson

#### getInFlightCtx

    public String getInFlightCtx()

Required by Jackson